<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The KDE Resource library</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Factory</name>
    <filename>classKRES_1_1Factory.html</filename>
    <member kind="function">
      <type>ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>c72a43ea9cf478ff70c59878c1ec0a94</anchor>
      <arglist>(const QString &amp;type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>b0b615cf4f673a084971509a44665b2d</anchor>
      <arglist>(const QString &amp;type, const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>typeNames</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>5f36fe845e9d2488b6eecbb036556aeb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeName</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>579f79348f87d1ab402accbe46f8fcfa</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>typeDescription</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>1a95a23d0f3c9f35db449c2609e4052d</anchor>
      <arglist>(const QString &amp;type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Factory *</type>
      <name>self</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>fe1731301bb8ff202bd03828a1b49297</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>b705a1a4252339c3d3d9517b4f336f65</anchor>
      <arglist>(const QString &amp;resourceFamily)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::ManagerObserver</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
    <templarg>T</templarg>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceAdded</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>f9da4e8888d0c4091c6b626a5d0b5bab</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceModified</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>54e8c319cc7923f46787a26b3674d4d5</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceDeleted</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>298eb694e2961938c990c819a99210a9</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager</name>
    <filename>classKRES_1_1Manager.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>adcea6067c47680bf6f8d1516b2e26c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>2e9470e64c4da5250a4e0123c0d86408</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>c7c9df216d7fed65d0d8da08ef841ba6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>c9758aee66b4c641a11c5c820f82c8c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>b9e82f0ec6a51ac3a832409b127fe54e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>71ec5282622d928e087890f7d74c98f3</anchor>
      <arglist>(const QString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>b49c8fbe7e1556a1fe617cb33e916750</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>513634075a80e2681ef1a97aaf2fb6cc</anchor>
      <arglist>(KConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>e9aae4eef16b84b4eeb0cb61bcd156d4</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>f2df50a4440c3124e991b5e007a8cf87</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>e6177d41ac51ad9c693f31abb1998896</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>standardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ec98c5b9f47652777a620811260d876a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>d42f3997362e7cd846748f67f06f828b</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>27b93780ec8340c268ca2549b53cb8f3</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>16116d1df7ad4aa7088297d777b7fdcc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>1d5cb3fdc5f6e14b67d1e8ab1384ebb1</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>3957a5d16ddeea6a4410435f23081654</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>2015fc0d4294f7475c94cbe1cfefa404</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>765188cc09c9089fa20d96e24810e994</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>05730c9f88ac94d7c9b9020d6afdad46</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <class kind="class">KRES::Manager::ActiveIterator</class>
    <class kind="class">KRES::Manager::Iterator</class>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::ActiveIterator</name>
    <filename>classKRES_1_1Manager_1_1ActiveIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ActiveIterator</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>247361cb420b2e1f5f6ddf68df9bb581</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>1a63f0d03f1b8d8fd159894e33ae494e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>78736a7cb463acddbeb8fb866e938c3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>75ce2dafc71b6c5851dd26c7a998262e</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>5276d289beafb1aff1187173198f600d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>f16125b3445aa40877d3ddad96320244</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>08d0b33fae55363a098ea79f85d41ee9</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>e3cdc533154c8c2c7f4131f950e1eab0</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>dddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::Iterator</name>
    <filename>classKRES_1_1Manager_1_1Iterator.html</filename>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>d4d994cf38bcad255d57f3e935c3b346</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>d9253ce21457541abcd9e4887133f6e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>3dcfa752a0ec991d992fc4aa7b062de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>4669ee06b29ac94189423d1adebcecb3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>0caf428f92dbb199b583a06f00d59385</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>519a16926d3147273a0be936c7b174a2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>c9593121138d8f543d4badc43373b3d8</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>d232089a13ad9d3eeaa80bcf79d3f698</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>dddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Resource</name>
    <filename>classKRES_1_1Resource.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QValueList&lt; Resource * &gt;</type>
      <name>List</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>dd9e0a4a4f0afed9b9bd91536e98da02</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>b51c4fd72cc1170f7811b76f1ea56a65</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>0e5ec475e2601bdb33644468e86f6f10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>1dd01b89702931d060d87332001e77d4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>0bace10c217883eea74fbd584ce5097b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>bd1bb168eccdd27ea4aecbb86836bc62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>4dfd930f90d81362c8e2a64ad2481b39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>e17cf4470b97c121651c4fa5a75a0b83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>b6a1040675eb77a2b86592d122a17a90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>021163f496e0d69936118a7960edb02a</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>2a35a353d26abefad3ecb113ee5c5de4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setResourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>54ecadca62801e08b9881af3593a05b2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>resourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>52ebe0cdda9c7968b99b25f85446ef89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>dbbb6904d693a1e82470c00af000ed1f</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>879c67fdfc7b040a96925bb24400cb19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dump</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>6b66cd10ba2b00886d0b191622be9c38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>c525d54a65c98f1c6828f7bfebaa4461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>32c51122eeca72ecdce1ad9897bd2e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>bebb9edb9158d481d5d6a8d9e8fb8ea2</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>5fd37bff36721435a837754372ab68f3</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>328c093d609680cca505905c6d49901a</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ManagerImpl</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>cb9dc953d201e3c2d9c5da9d54b44b23</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::SelectDialog</name>
    <filename>classKRES_1_1SelectDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectDialog</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>bb005a5542870099628fc695cf6dbdf8</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>3d35766a5a28be867cf15c7ec422d9cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Resource *</type>
      <name>getResource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a8356300519beea214573fc1318b4cb8</anchor>
      <arglist>(QPtrList&lt; Resource &gt; list, QWidget *parent=0)</arglist>
    </member>
  </compound>
</tagfile>
