<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KArtsDispatcher</name>
    <filename>classKArtsDispatcher.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>06011323c7e4b0da89f40aea92fc71dc</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>432c68268793b3663e7041b2eb723fac</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsFloatWatch</name>
    <filename>classKArtsFloatWatch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>4744b1f7ab4ebcaa9d308a61f636ed6a</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>f6dac0b28d9e670b79a5c1e21f6ddd6f</anchor>
      <arglist>(Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>bcc34395073a9b2610904c9589dac7aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>Arts::KFloatWatchProxy_impl</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>ddf1eeab7838e9ae84ea31125eeb570b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsServer</name>
    <filename>classKArtsServer.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>restartedServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>1bf7bf3955831819a84b91b4c4d506ab</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>ad8b139e3684fc75d6ed58a6bea9ae9f</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Arts::SoundServerV2</type>
      <name>server</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>63afac953e63a4b053b522c366902ec7</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioManagerPlay</name>
    <filename>classKAudioManagerPlay.html</filename>
    <member kind="function">
      <type></type>
      <name>KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>294fd68e11130a131753faae16f4a3ce</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>Arts::Synth_AMAN_PLAY</type>
      <name>amanPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>c92d7facba6b611f6dc72dafe7cb76a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2c6f966c133cd616c6d718a12752143c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>8bf4a74b8229493b43e6d4dc402942f2</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2d60c4358838506aecbfb1130fd0b1c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7cce9f4a68fdb649aefc72020d55296d</anchor>
      <arglist>(const QString &amp;autoRestoreID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>autoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7bfca5bce08892d70cb353a73073a1d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>b740ffdd526606a6b77a48222896b857</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>7add7d642510ad89732e6f80560733cf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioPlayStream</name>
    <filename>classKAudioPlayStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>f041978ec76025b58a1092d497c69f25</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a28f1cc9298809ca3a919ba8f0175e98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>4dd21f802027ada0c6ec5b99a0f4a33c</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>0d14e42698ff315b05455ff638f91d89</anchor>
      <arglist>(QByteArray &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>577000e0ac8930995f373e1db8dd6bec</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>noData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>53af9c2f445cdab11487fb48927ebf20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>5f67525b3ad1aa173cdd6a890f009c66</anchor>
      <arglist>(KArtsServer *server, const QString title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>661b8d0c55316fa51eadd2e9131d3078</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>1a75b8185698cd262480a10160b429b8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>d0964b0679252a0f48748fb641197370</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>b03f0e1b66f8f6480935f815a4014f0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>72fa895910d94b501be7eedd9b612cba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>6ff31a8cfb0eb9e78a79a9aa84815f31</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *packet)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioRecordStream</name>
    <filename>classKAudioRecordStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>2fb76c821fdb2ae82cc4ebbfeffaddba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>ffab1faf18b4b26763832d9c0da82c50</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flush</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>0d938797714b7eb8b7a0b6af3e7a0546</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>data</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>9deba45080cf817432c3a510a82c21a0</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>3f5839346716de3f4ec155f00cb6b2b7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>0395bfcdf3a3a4d45919112984fba810</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a7d3ef5741a59a13bc8ef917c819597f</anchor>
      <arglist>(char *, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBlockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>10c8d4250443404492adb3cffdbe90ad</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>blockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>08accc1c962c8e6e89aa718deb89c473</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usePolling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>65b402b1d50fccc8f497a6ab7652ab06</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>63bd05d25ab2da4f4f9bf6dc783d1136</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>ba0af8c95e4e3db57f51ad17df8fe451</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>8c12b31ef2cf8b9f696c88917dcf3b0e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObject</name>
    <filename>classKDE_1_1PlayObject.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>959cba86158b29b58a700f35fb0aabb2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5d4359f8b70cadb5169afbcffdab682d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>3f0c3f21e884e7526d276942c226e30c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a591df42992435c5f8a0739582bb7650</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>75758f3435faee4b6876837e583f20b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a868bc311037b0624ab52639bda5fd7a</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5736e78c75926de352969681d3d33fc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>0b7291e5a7f4146a4050959613470d47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>5441170faadbe1c6aa74b3e84fee615d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>d45c539ab8011488681e09ea812c4a95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>8d7118ecf1c13509872e2bc33fdd3ddf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ff54329e65c9c5e8a19ab6732b1867fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>847de6d7c1b5dfccd838eaeacef5c00f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ab8c0bb73aacba1c85254754420d82b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KDE::PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>82e83128d627ef256e2e0ba4ad3f120b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectFactory</name>
    <filename>classKDE_1_1PlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>8f65571be89b959229a3da0481d07848</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>4eb006e7d687fda3221f4adead394240</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioManagerPlay</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>2f67af3945176f2f79f5064fc69093dd</anchor>
      <arglist>(KAudioManagerPlay *amanplay)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>0f6a19e68b13b1fabbbf7158dad750e3</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>9e7b9cd49970b30ebc1e706ff35f189d</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>b89339ab6aea0dcb110b8ffa8cea4dcb</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>ac5ec706107557cbbf010e735a3904c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>0db43a9da0261b4ae11422aa31633528</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
