<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The DCOP Desktop COmmunication Protocol library</title>
    <filename>index</filename>
    <docanchor file="index">protocol</docanchor>
    <docanchor file="index">iuc</docanchor>
    <docanchor file="index">conclusion</docanchor>
    <docanchor file="index">sending_data</docanchor>
    <docanchor file="index">model</docanchor>
    <docanchor file="index">Deadlock</docanchor>
    <docanchor file="index">establish</docanchor>
    <docanchor file="index">receiving_data</docanchor>
    <docanchor file="index">receiving_calls</docanchor>
    <docanchor file="index">dcopidl</docanchor>
    <docanchor file="index">dcop_signals</docanchor>
  </compound>
  <compound kind="group">
    <name>dcopc</name>
    <title>C interface to DCOP</title>
    <filename>group__dcopc.html</filename>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g0700917363f5dec99b0f45decd5dfacc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g6ad55586c67a25bc296ff07e0598b425</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gea079b400f67a328b48d41e8c552b2b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gddc2ea5df658fe574138ff04cbbec8de</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g6702ddef48d457bf146751db61592d21</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g21aae6efe90c7e735ac5a6cd64125f81</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPArg</name>
    <filename>classDCOPArg.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>ade852beb4baa8d523c99590473a6a81</anchor>
      <arglist>(const T &amp;t, const char *tname_arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>97d9030e2749b3ad6c52f40545b041f8</anchor>
      <arglist>(const T &amp;t)</arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>ef7239b3a2a39527961167a04090c913</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>tname</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>3540425c7ad0cb27929e158e16ef7f5e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPClient</name>
    <filename>classDCOPClient.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>processSocketData</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>cd3322a80dc24dd94ed161b3dd11d950</anchor>
      <arglist>(int socknum)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>572dc5b8630fceabbdbc1bca314c5717</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRemoved</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>fd4e3a1fd898e1c29d22dc6ef505810d</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>attachFailed</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2fe3fcd90bd2654bfc15b6574c2301cf</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>blockUserInput</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9f609e11201e5fc089c262c8bc1fd318</anchor>
      <arglist>(bool block)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>callBack</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>937a33f9943a8f93e2f360fe67addf23</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b4bb4fb7cd7c0ef624783dfc2da5165b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c621fc39efc091d067ff51bbd25876e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5b91eb6f361ac9afc06055155f349ff1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bindToApp</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>76935256f49482af3288ed923a768e8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1dd7f2085fc2934c15eb8704d73cb92c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttached</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1572b811045662009b0e9d01df2ee963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachedToForeignServer</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>f5d8ffea1be6b698e8bb0f31d8f6bdc7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>4672a837e0fd20c9c6a8b9ad35df83d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAcceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>dc5905b28a24f518123af4a7b4c5c140</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>qtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>7f8a344bc085aaf26940c7b2ceb69de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1f20a619219018328966edf08db77cdd</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>registerAs</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9efc2316a0980e5cff73b7c6b7a40d16</anchor>
      <arglist>(const QCString &amp;appId, bool addPID=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2de169371c75fd16e00c819d6474c58a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>appId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>78afdcc90daf071ab8de5db599c8f952</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>socket</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>8aa38c63b731cc6bfe5bee917038a014</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>suspend</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c3c06b86c0f87c367431029f614e615e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resume</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>72efab1d25bab079e18771f330d54e52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSuspended</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>f3df2538b9a500c1a261e8bde2b8a611</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b4c4945c3be14e9997d0b411c040b5f0</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ad2466abefd1d4cb8c31d09f375969bd</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QString &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>8665da8f4d35021e7e7ebe4da58849d5</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>ce25702d6c804bb106f8b997393f6354</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>callAsync</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>01078d7f2d087308dcee21bcc3f3083b</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QObject *callBackObj, const char *callBackSlot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>4d80a75ea8b423029d3016bd4a36c3bb</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5cf468cdec7d5fd2645dcef3ee90fdd2</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>d0850b962ab00a229ac0199566ed58aa</anchor>
      <arglist>(const QCString &amp;object, const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>bfb6c5dbd9fc8d35a9c68e6ae2d1b7f7</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1c4d7ebffc79200b1d1a7a023b6f0088</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>6d7e39d5fd8868c016db79347b91fde1</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e3d9f41613d057d9f1f3aab17a57565f</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a61148b040169adc39c69f6b2724e677</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9162c84a8c8f3615497e0130016a863</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClientTransaction *</type>
      <name>beginTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>1f22fdc6a3888205860c14762ec49fa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a6d4ac498ed1d7db1c8507980232c334</anchor>
      <arglist>(DCOPClientTransaction *t, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>Q_INT32</type>
      <name>transactionId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a6f543f9a1363eba1c001945c2f3f8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isApplicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>be1782eda46ce8e3fc8312d54364790b</anchor>
      <arglist>(const QCString &amp;remApp)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>registeredApplications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2e49aecea8e6125010b6fb1756af96d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteObjects</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>aa349277c41024e02f23ba659708836a</anchor>
      <arglist>(const QCString &amp;remApp, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteInterfaces</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e4008742dc276a4deccb4fe4e04db8e3</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteFunctions</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>03276ed1bb5b0b2093a96f8763887d59</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receive</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5ad52b74d6616d71dd2e5a6e3aa45500</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>find</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5aabc1af32faeead1be3c238bd933084</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>senderId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>4658f80b4a1b9551265d7ff9868d0cb1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>77402267989557b0d4b1be7abca8e823</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>defaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>923e73b28a0728bd4cfb2b0588f06b16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNotifications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9bc15bce767c2eee47c69b3130476f27</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaemonMode</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>050f883c074f8e755f485d7bf213b11d</anchor>
      <arglist>(bool daemonMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriorityCall</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>2fa9a0b4c7f801ebe6044eadc21903a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>handleAsyncReply</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>71346fbfaa66dc5a4030eef1867494b9</anchor>
      <arglist>(ReplyStruct *replyStruct)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setServerAddress</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b22a939a0d330559fb90b1f29b7f08b8</anchor>
      <arglist>(const QCString &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>normalizeFunctionSignature</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>047e9c432da03c733321c3da4d9f8551</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>mainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a53dc8b77e9551859db246a04d87d0a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>9f57218d09f2b3dc530a5588a5f5b73f</anchor>
      <arglist>(DCOPClient *mainClient)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>findLocalClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>3d2d77004bd19e31f0bedf96f1ce7504</anchor>
      <arglist>(const QCString &amp;_appId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emergencyClose</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>c685114e6de875c0d7c0fce740662253</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemSender</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>564fca0aa7648c1e61eb8b23cdda01af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>6edf02f762e1a3079023a6c60b092ac7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemFunction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>5876f9a51065b3f3b284299cbcbae5cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFile</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>95a7a019b186d236db617b27b592d882</anchor>
      <arglist>(const QCString &amp;hostname=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFileOld</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>4e4eb319ea0242bd8a848d867a56cec1</anchor>
      <arglist>(const QCString &amp;hostname=0) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>iceauthPath</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>860b2673dd5fd586fd99c517b8c72473</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>f4e3c46e127d5e31c2d8c9d64880f5e6</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g0700917363f5dec99b0f45decd5dfacc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g6ad55586c67a25bc296ff07e0598b425</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gea079b400f67a328b48d41e8c552b2b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>gddc2ea5df658fe574138ff04cbbec8de</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g6702ddef48d457bf146751db61592d21</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>g21aae6efe90c7e735ac5a6cd64125f81</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObject</name>
    <filename>classDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>80ec1e9687582c4ddde0d8daa662d1de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>6b7558acae1087d04e535e6060dea88b</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>45de6dbb54bb37c3b881b2bee51a4eaf</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>367326e938cd65a8cb974bfbaf08fb3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>objId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>c5e9665001e7557572d295c7c0e40d14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setObjId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>50f7b5a57816d0aea06ba80dec384efb</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>35c0f1c8778406cc8435ad10c27cdd0c</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a5caf782fc812cbc72d5948dacdea448</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>ebf2772e9a52af26cc96d00e7fb2b19a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfacesDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>bb7a896237c2927cb0c56fd0ec7d4918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfaces</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>639836fd21d5dfa13b1faf26986e45f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functions</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>ddda57664f9fa1a474fbf3aabf477650</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>dd649cb8fe65e8df5f6bbf8fef01338d</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>3d7cf9a93cfa8a3515c702b1b50db3f6</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>8c3ce98d7bc8ab64b370a99a5b789b5b</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>callingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>f912927fd4b3acbdded5d455cb04fc07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCallingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>5866114da7818cdfdb66ff19e535e807</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>hasObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>822112337a113724e9766661e6b88e11</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPObject *</type>
      <name>find</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>718c6cd97d7607e51d18bfba3cc32d32</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; DCOPObject &gt;</type>
      <name>match</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>3620cf2cf8a28eaaf3193f091ff35dbb</anchor>
      <arglist>(const QCString &amp;partialId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>objectName</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>4e4e83e98713021a18d4b98706008b9a</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>99aa5f42341a53516b7a46f0e75af49a</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObjectProxy</name>
    <filename>classDCOPObjectProxy.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>655cedf030469825d199b1efe411f44a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>d2099459f734fce8005ad636a72c95c6</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a0c1d79d48ca9c61238211532a7185ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>5be53348342fe812bc96d72874350e59</anchor>
      <arglist>(const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>57e2b3176a9b8a75a740a8273ab26e84</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>311ca2026f060b9cd3214fac142dec03</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPRef</name>
    <filename>classDCOPRef.html</filename>
    <member kind="enumeration">
      <name>EventLoopFlag</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>77589e8e2a1f2effa5b16fa81eab0905</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>93ba732a852d91e071112809f4178903</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ffa9fcafd31acf90a9036b6250914a8d</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>9475b68704d6fca7b0f7316b2dece229</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>5dc5873a6348ff314c8a6cbdacc8de8a</anchor>
      <arglist>(DCOPObject *object)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>350131383a6833446ac65f70932f2e46</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a62afaec0fe61176d40ee4d936433e33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>29741a0eca1c37b88eef235f94a35467</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ec3f562e6f5311692aafc4ecac868d7b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>object</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>62e8073c63fc577824687968e6d2bac4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>7d4b4b7ac3e8d9ecbb0bc1d83b803250</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPRef &amp;</type>
      <name>operator=</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>42a7021463fff4a734393768dc0b2b21</anchor>
      <arglist>(const DCOPRef &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>43ed7a0939260ce19eab9a1f84f786f1</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>7c42c3682891ccd38a8a978a4232092e</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8d8c3bc7de31a79a3de082d53cc09bbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>4932f2ec9dcaae1137102e395b01f3e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDCOPClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>db5d52e980ea50632397db0add91015f</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8975f6ec7c25e8d24f8d0a8123921c3d</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>faa2a2b2867c17f12301c3ccfe5fc450</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop=NoEventLoop, int timeout=-1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>9fb2203830793ced6b5755ba237371a5</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>31b81505e3b11a4d36ba397d02b06619</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>5e62422bf09a06e56e26c969a02b60ee</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>9867f6cef3e17786c76df1029d182d53</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>2fa71580fce97876b7923c3ebf25f6c8</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>c6ec6fad4007fb3d9d33a93438784eb9</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>3ccab2620058719a1b295340ca4b44ad</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>4889256e2ebf03722fcee061e09ebe75</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>0f6dfc40dfa50db1ed36ee0c160ac71b</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ea7c84f57d1021083811253b9b3eadc3</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>4dd3b0c11a16968e7ddc5710794d71e8</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a0320a255977e8becdc502560689606c</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8785b5515a3abdd2651de5b79ac87a67</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>83ebee58639f544b2cdf18040ab6131b</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>93aeb0356e88ca51547e20a9ccfe57d5</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>8caf8a4388fb199a369fe1c145b55a90</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>e21346258da9773c8434c5c757c070b7</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>effccb1bf54a2e4f6e6ba023d5e07bbe</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>d5d5c2b04929e245780657f5b88929c0</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>00bd4ff36a9c8d5626c176c39ee77f7d</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>910d1f445f8352abc5aeb220a3605667</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>e7bb88c306927f4773741359ae6426b8</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>12f09698b275063f1662d37bf7183440</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>e62844c1ae84aa8a2192ae4df20e42bf</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>ee0f33e286d081c7aae0facf584fe06d</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPReply</name>
    <filename>classDCOPReply.html</filename>
    <member kind="function">
      <type></type>
      <name>operator T</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>470199dcf9dd32658b5b7ba421c1ac79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>8feb09da3a85685d3e2e2399a594a8ce</anchor>
      <arglist>(T &amp;t, const char *tname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>07267683debc5ead9f8daf0ee504048b</anchor>
      <arglist>(T &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>03a0fdb6e641ccf480328e8bcde888fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>edb0bad6982e38fe785d4b5a80ddb24d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>7ce924eaacda99ccfa496e73e7270866</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPStub</name>
    <filename>classDCOPStub.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>7f23f3b09c26360ca9d7991984e45430</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>6f22ecf7c14d51db42bf25a1d7d16370</anchor>
      <arglist>(DCOPClient *client, const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>99e77954718ed99cb1e99eff909f22b2</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>417fced16b20bd4311ddcfb5e1e862b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>22803bf7139f9c06f14a2ba31eff0521</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>fa8120e8338cb480e6c4d5bbccd00648</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ok</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b440a386e5ac73af966b8ab0581afa68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>299aa899ad5cb341370e9247fdc82df8</anchor>
      <arglist>(Status _status)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>callFailed</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>36328d34ebe927635b9dfece4e5f3cee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b481bd6b14141b05da0618d1e410d8c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>4328aeb9e0611b929fd5170d47700164</anchor>
      <arglist>(never_use_t)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a89dd02476483a8fd8e6be1e5b8a7b28</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test</name>
    <filename>classTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <base>QValueList&lt; QString &gt;</base>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>e75ac5bb9d250f793f80d0bed0c8b314</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>constTest</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>20b635780c0c89ec3300ffc5b4804195</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>firstView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>f9f290db94370382cd1b35e748a678fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>nextView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>92a50ef3bcb67cdf36d9c0527daf4210</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumObjects</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>e37ce53fc537781753623547fe78c2d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getObject</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>1e0dc2c7daec53f551a697561837260d</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumPages</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>b1188b3bf58ad9658d491e9ce183b61d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getPage</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a950ac48380f0585f0f07c1fa97723ef</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>56709171e511fd2eb4dd267d29a69a00</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>4504f29b4c7fcc4c240a3c06120886e1</anchor>
      <arglist>(const int &amp;point=3)</arglist>
    </member>
    <member kind="dcop">
      <type>QValueList&lt; DCOPRef &gt;</type>
      <name>getWindows</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>3b2a72f44d3e068b06ace1c2a1aa113f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>const QStringList</type>
      <name>remotes</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>ceca2eec6eeb3f6c99a215ee59694e8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>56709171e511fd2eb4dd267d29a69a00</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>7d2171c3233e823e28c1915c3c0b5119</anchor>
      <arglist>(KSpreadTable *table, const QPoint &amp;point)</arglist>
    </member>
    <member kind="variable">
      <type>SomeForwardFooPrivate *</type>
      <name>d</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>b987243a801bcd2a62bf6b2a083f6738</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>31aa9f8f9ac2e6fcdc328a9b398e3b59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>AUDIO_CD</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>47aaf4c2d63608bd31c782c9f1c5f2dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>m_number0</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>bb1915f6680ed9e66c75f962c291d610</anchor>
      <arglist>[20]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TestObject</name>
    <filename>classTestObject.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>ea0efa485bf4a18fe81f6fc203cf21a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCallBack</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>0c8d5269df5d428a9d8a44578a6a277c</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TestObject</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>95fd940984ceec58fbd156e1a8e39018</anchor>
      <arglist>(const QCString &amp;app)</arglist>
    </member>
  </compound>
</tagfile>
