<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KBuildImageIOFactory</name>
    <filename>classKBuildImageIOFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildImageIOFactory</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>56eff9b12e7db32a9a871316be69de19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>33deaed756603d8fb28810f101c25ece</anchor>
      <arglist>(QDataStream &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>66eba773c994e0882a5d09c16ef023ce</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>16cb8f31e48f5082d21c4f2505adea44</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>6baa1e18b14fe00ecfae37c4e023babc</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>f8c20d34797a8b10d8daedf2482bbe74</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildImageIOFactory.html</anchorfile>
      <anchor>1edbed637ad5d55235859e52e3d7bd74</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildProtocolInfoFactory</name>
    <filename>classKBuildProtocolInfoFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildProtocolInfoFactory</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>25f8f9665bf76ea5a2ea9f50c2373654</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KProtocolInfo *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>ab5bf32256254aafb3e3327ed8a2673a</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KProtocolInfo *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>22263155528f9cd8349b82c7236c1622</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>7c76003619967e6e501e55426cdbd4fd</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildProtocolInfoFactory.html</anchorfile>
      <anchor>66e7ddbe50bfcbbe3ba34baacce5d341</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceFactory</name>
    <filename>classKBuildServiceFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceFactory</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>18438ebd6220f59aaa4e1b0f609dd9f1</anchor>
      <arglist>(KSycocaFactory *serviceTypeFactory, KBuildServiceGroupFactory *serviceGroupFactory)</arglist>
    </member>
    <member kind="function">
      <type>KService *</type>
      <name>findServiceByName</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>2b837066ded48e6d1eb40c4a8bf37773</anchor>
      <arglist>(const QString &amp;_name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>8c0ba627d182479d78e58848b7911b0d</anchor>
      <arglist>(const QString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KService *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>e497345956f4fe85989ac1b8bc3dc684</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>4b881678b5c14e2ff80d102138b44e58</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>23842f6913581c76dfaebecd5367bbd7</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>b248bf1fda04a5a09955b37a11c9ac07</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceFactory.html</anchorfile>
      <anchor>5c7757f45ceacd26509fd1652b89a8aa</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceGroupFactory</name>
    <filename>classKBuildServiceGroupFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceGroupFactory</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>9b23edef35af18e0ee2e61d2445d80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceGroup *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>7c099c3595461d96ce910e4b22a6b2cd</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceGroup *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>c9ecc3d5dee03a176576ca1af03bf299</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNewEntryTo</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>b425f89a5b0560d8e96178607af59439</anchor>
      <arglist>(const QString &amp;menuName, KService *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNewChild</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>6c859849bd604f0b1dbc5f331479870e</anchor>
      <arglist>(const QString &amp;parent, const char *resource, KSycocaEntry *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>KServiceGroup *</type>
      <name>addNew</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>3ff54cb2b1fa447298086af5a2b645a2</anchor>
      <arglist>(const QString &amp;menuName, const QString &amp;file, KServiceGroup *entry, bool isDeleted)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>a1b53724e3748fb0f933c5bea1ff1a50</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>3d03f557526183d144df5fcefb5cd2bf</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>77341c637166fe3da3c38c598a35f0d2</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceGroupFactory.html</anchorfile>
      <anchor>9ccd68a37aeb780d6e3602020de2f3ad</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBuildServiceTypeFactory</name>
    <filename>classKBuildServiceTypeFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KBuildServiceTypeFactory</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>34c4117c9ecbfcd883115657c0259c76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceType *</type>
      <name>findServiceTypeByName</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>57ab6ddc0ee758df413d110ba5e19b23</anchor>
      <arglist>(const QString &amp;_name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>f2ddf7c19d6284416a28639a32c49ff5</anchor>
      <arglist>(const QString &amp;file, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KServiceType *</type>
      <name>createEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>cef2a54d800d6b06ec06813c527a30d9</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>9b500a3c0ed4b25634075e2a24ffe8f6</anchor>
      <arglist>(KSycocaEntry *newEntry, const char *resource)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>af64e35f99575cac8614c49a0e1d2a2d</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>020f215db8cda8cdb508098096477610</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>resourceTypes</name>
      <anchorfile>classKBuildServiceTypeFactory.html</anchorfile>
      <anchor>402f235836522ed00c158f715648457c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCTimeInfo</name>
    <filename>classKCTimeInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCTimeInfo</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>d333092f74031eed2ef15d5ca8f62313</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveHeader</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>13e0822fc059132cef808226fec7b3fd</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>020708a83ffff526f888ee93c42fe73e</anchor>
      <arglist>(QDataStream &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>3e80dafbbbb5d4712e02b788dce451ef</anchor>
      <arglist>(const QString &amp;, const char *)</arglist>
    </member>
    <member kind="function">
      <type>KSycocaEntry *</type>
      <name>createEntry</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>d568c40c80f8d86c04c933d95cb35ff9</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addCTime</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>a35a9b628ee674a2ca6a2aa92e5761dc</anchor>
      <arglist>(const QString &amp;path, Q_UINT32 ctime)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>ctime</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>27986cdc4a24d51b638242a1d4f5c783</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillCTimeDict</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>0cc578941880713e219c03a71b01df9f</anchor>
      <arglist>(QDict&lt; Q_UINT32 &gt; &amp;dict)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDict&lt; Q_UINT32 &gt;</type>
      <name>ctimeDict</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>fad9954c2569be0a6a9e331425b497c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_dictOffset</name>
      <anchorfile>classKCTimeInfo.html</anchorfile>
      <anchor>54c150b74afe15b033446cc65928175d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDEDModule</name>
    <filename>classKDEDModule.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>idle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>135470001b9dd8c4db420d7599d45496</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moduleDeleted</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>efe4a320992f6ffff6e24a699cc095cd</anchor>
      <arglist>(KDEDModule *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>81431f46311a1040c13c694c74f6dfe8</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>windowUnregistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>6f5271be069d6e291b43be11e1b65de1</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDEDModule</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>241254cd4b2d459f0826090aeeb302d3</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdleTimeout</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>65c5ff3ef5acae2f6cd69358699c9743</anchor>
      <arglist>(int secs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetIdle</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>9d3742db3f7d0517e9982a08aafb12b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>49941a3db4387dd099900c1ad164b2b1</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key, KShared *obj)</arglist>
    </member>
    <member kind="function">
      <type>KShared *</type>
      <name>find</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>ba923ef77551c6caa46fce0d64e6c8b2</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>7fab39dd821084ef5ddf75842e4bcb68</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAll</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>e176d72755be7299d77dd595b86121c3</anchor>
      <arglist>(const QCString &amp;app)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isWindowRegistered</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>816227f88721811f23d05a6d2de2e9a8</anchor>
      <arglist>(long windowId)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Kded</name>
      <anchorfile>classKDEDModule.html</anchorfile>
      <anchor>bd39163390442c48592f2c99dbc36acb</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
