<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KJS::Collector</name>
    <filename>classKJS_1_1Collector.html</filename>
    <member kind="function" static="yes">
      <type>static void *</type>
      <name>allocate</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>82ab0f2a4b1a30d51d152432d92b00d4</anchor>
      <arglist>(size_t s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>f5a69f9e35f2698694bbbac983eb5272</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>830f9b51f02bba53addc8bcea71c037c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>outOfMemory</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>e6464d9c1c61ab3c0a3de84352c82ac2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Completion</name>
    <filename>classKJS_1_1Completion.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Completion</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>7f2ca2fc9c57d899e2339f4838417ff4</anchor>
      <arglist>(ComplType c=Normal, const Value &amp;v=Value(), const Identifier &amp;t=Identifier::null())</arglist>
    </member>
    <member kind="function">
      <type>ComplType</type>
      <name>complType</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>ed498682490bf978aaad08736d4c3acc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>e0983b178a9bc4f20de148bb2dfc8c78</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>target</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>25db888e24a8fa2be1c70eca7ba1da9c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValueCompletion</name>
      <anchorfile>classKJS_1_1Completion.html</anchorfile>
      <anchor>71ed43afad76ea037bd9459524018515</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ContextImp</name>
    <filename>classKJS_1_1ContextImp.html</filename>
    <member kind="function">
      <type></type>
      <name>ContextImp</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>8ed775d671fc90b0474cce8c2ed52661</anchor>
      <arglist>(Object &amp;glob, InterpreterImp *interpreter, Object &amp;thisV, int _sourceId, CodeType type=GlobalCode, ContextImp *callingContext=0L, FunctionImp *func=0L, const List *args=0)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>cef734af585fb8bcf07e82c39cf17afb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>affb320cfeb4e37985475ab0c2ac8545</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>7ee81063146febe7b96f44db17c8537a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVariableObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>db432ebd6e909a5bc86fc475dc0a503b</anchor>
      <arglist>(const Object &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>c14172966ef7fbc050c0418b5e3677df</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ContextImp *</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>dd28b44c6689fbd54e7772d9bd617f33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>activationObject</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>bf3853e8eb49e8e01ff67fabf7d91c62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FunctionImp *</type>
      <name>function</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>c90d373238bd05c1b8586b8e8aa1dc61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const List *</type>
      <name>arguments</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>40a489357bf20b6e9b5830ca015b32b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushScope</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>b68a0a96c7b82e0bfb2d164209034275</anchor>
      <arglist>(const Object &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popScope</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>b0921108bb7f0ae871313c224a04cb5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>LabelStack *</type>
      <name>seenLabels</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>9b362e76918dc1d995af0338c6a5f85c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>7229eb64d03e9e680bea6717165347a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>8b526f3e3e091756c9d56be5a0c1a99e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>645cc7c4f9f6bcc30ae4061395ca91e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inTryCatch</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>1d8daddeb1b9251e52709f923f94df97</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLines</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>9839ebf84bcc07380ad904862915f98e</anchor>
      <arglist>(int l0, int l1)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Context</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>c26c806e60ca4a0547680edb68f6e39b</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>StatementNode</name>
      <anchorfile>classKJS_1_1ContextImp.html</anchorfile>
      <anchor>0b1ee0929924134ae6d55bd040505c30</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::InternalFunctionImp</name>
    <filename>classKJS_1_1InternalFunctionImp.html</filename>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>f62413a9d47abd3075f60c6023256025</anchor>
      <arglist>(FunctionPrototypeImp *funcProto)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>1e09c00e8ca54c6e01f8b4cd929d372f</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>ee55a9a89ca44fdc3b1f64aa8b08e501</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>ae817d35ca1049128805ed4f971ce496</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>140c802ef55992a9e2a37bc9842ab0cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>name</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>620c69fb3d849a5465e7aa519f702c60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>f6ff6e5151f0b6e1d6792194e0752e02</anchor>
      <arglist>(Identifier _ident)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const ClassInfo</type>
      <name>info</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>532e3c58f38771a4a9e8d4c34f61850e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Identifier</type>
      <name>ident</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>a8fe12432f8e4f138af6d7b3b21f9497</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionPrototypeImp</name>
    <filename>classKJS_1_1FunctionPrototypeImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
    <member kind="function">
      <type></type>
      <name>FunctionPrototypeImp</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>4d4f4d371988bcc4dbebcea17472576c</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>ccf136ff328abcca91cb0ac1fb9a2767</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1FunctionPrototypeImp.html</anchorfile>
      <anchor>3a395b7cf77be0c32a33c0aa29cb652e</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Identifier</name>
    <filename>classKJS_1_1Identifier.html</filename>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>0d53178be68490fcc17c11f68c8e29df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>2153b36791c929ed61835956498169bb</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>6db5f38edb8553da9e9e186920fcf696</anchor>
      <arglist>(const UChar *s, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>44a65d899b59cddecdd0cd6a6e9a4a5a</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UString &amp;</type>
      <name>ustring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>60e1a5523bb219a8e427733682ad7955</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>e165157b0d54f2428ca4c6fd89879777</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>64283bd10533420653693afb4784d4ce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>6340421d1ce19b3d1067fe51ba059bbe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>09d4038e75cbf6f50dd5917a2b4cdd2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>7b4e6ccacac5cae4e55412904541c8ba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>705aa70a7c5ef56ddfda2db508526bde</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>94c7f6aa926ece43ea71ae14a35b2690</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>1d533c078bb39d13ee1c2865779c40e4</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toStrictUInt32</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>28317db0767afdebe3c6475ea31fa8a7</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>9d302c782f46c3cb5ab640ba51346bf4</anchor>
      <arglist>(bool *ok) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>dd1805eae60610a0e2945f1f00392a36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Identifier</type>
      <name>from</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>5cd95c78d2b87f26399f4e01d106a92f</anchor>
      <arglist>(unsigned y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identifier &amp;</type>
      <name>null</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>0c11c80ccfb32ebe3ef21445d308765f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>remove</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>cb6c377fbb2db7f57ebb154eb2865438</anchor>
      <arglist>(UString::Rep *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>4c8018a0604445818ecd990fe449a63c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>7839a4f338665eefbf2ea0afbe23476d</anchor>
      <arglist>(const Identifier &amp;, const Identifier &amp;)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>3cba6d5b2f570d66feb67d90df83d0f0</anchor>
      <arglist>(const Identifier &amp;, const Identifier &amp;)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>73459f1f1f5f6cfc31504c30ee32de0f</anchor>
      <arglist>(const Identifier &amp;, const char *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::LabelStack</name>
    <filename>classKJS_1_1LabelStack.html</filename>
    <member kind="function">
      <type></type>
      <name>LabelStack</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>bbb414e8cf51263340866f0ff5d92dd2</anchor>
      <arglist>(const LabelStack &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>LabelStack &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>100b69fdca356b2fb83dd08ba5f25882</anchor>
      <arglist>(const LabelStack &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>push</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a2bda0670ac692d95cc2d7d497d0cb55</anchor>
      <arglist>(const Identifier &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>6c195387b3083cce12d579c5d6e6d8d6</anchor>
      <arglist>(const Identifier &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>24c7fa9d3a3e27c40806b40c9089faf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>77f5daeed15d529f875090eb819ec14a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>3ffd2585750cb493e09bf616b394588c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inIteration</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>8dd1836da38a43a4512f20539ae36306</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pushSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>e58a97cc83aa9f9740d783a79247e521</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>popSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a4b19cd3d6d536502379b14ddf2b668a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inSwitch</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>9860458f13f312ed4f8204f2ac3a1725</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionImp</name>
    <filename>classKJS_1_1FunctionImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
    <member kind="function">
      <type></type>
      <name>FunctionImp</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>c1967ce60f6d2b23a4b51662b6d05d23</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;n=Identifier::null())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>246648c2cb2c314aeee29a418d7f6559</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>484130353c38478c8f5eadd2de3904ec</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>0560f7c40eea9e6e7bbe901bcd2ffa8c</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>2873c067c68fc0e2b3f040e82b633678</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>e7f123364a65301e5d7eb1badc3f1d49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>ed4d4f76fc0b4efc2a3cf8be3edea840</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addParameter</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>d8b14efbd8c9c5193260649d97512bc6</anchor>
      <arglist>(const Identifier &amp;n)</arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>parameterProperty</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>04047f2fb8656ebad9793ac628c8a72f</anchor>
      <arglist>(int index) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>parameterString</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>36a9bfffbb91b679be60b8cdfa09839a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>bf523918f7207d2c0bc097f71b17cbb4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Completion</type>
      <name>execute</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>1081fa6313c5a9ee77f27aeb5cbd4e8d</anchor>
      <arglist>(ExecState *exec)=0</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>firstLine</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>455c2b24723132ee1faf23cda0a18e5a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastLine</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>d75e74daa006d54323a1f6d5e4a6e640</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>d998cde6201d7efb30acc58e450a26ff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>bd75dc662d1a66ff303096b919fa1cae</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const ClassInfo</type>
      <name>info</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>9794b7bb6e804194550d950f22959d21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Parameter *</type>
      <name>param</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>fe75bdf7411a724fe07a70675b9d53a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>line0</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>248a64f4886d1ade308b1792bdd0d2b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>line1</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>2d416600e521c90be4b95f3c817d7451</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>sid</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>1e216b91844922dd28621ce0db12fa29</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ActivationImp</name>
      <anchorfile>classKJS_1_1FunctionImp.html</anchorfile>
      <anchor>1008bb750c4c138fdbad510ae2e02843</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Context</name>
    <filename>classKJS_1_1Context.html</filename>
    <member kind="function">
      <type></type>
      <name>Context</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>4ec9fd32465e6844661591d1a82f855b</anchor>
      <arglist>(ContextImp *i)</arglist>
    </member>
    <member kind="function">
      <type>ContextImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>c25573fef6d1c9606588840fa972beb3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>5f932a341f1c80d086ba0b648328b0dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>7d685607529ee43ab8c581cb778e129c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>978fd092041c1f1e3befc1ca54fbcf8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Context</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>2ab4d6d9ac5ce8158ed9736ae905ba74</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a2fdbe7609ccb27af3e694bc26b23a0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>681a3c4efee526fa72d1450641448b52</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtFirstLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>c6e871a99a7ee3507b659ee873ffbdac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtLastLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>311c6462b2ccdf34e1c610ff4620a32f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>function</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>57064b1129e2febb31112b27a39b20c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>functionName</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>2a9f5398ffa1f7a98371c5e102a70cfd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>args</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>70ad27926d09d095a4a21fa36afe2908</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Interpreter</name>
    <filename>classKJS_1_1Interpreter.html</filename>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>91cbdbe2a1b34acbd0230b1ad0f72651</anchor>
      <arglist>(const Object &amp;global)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>9faf0dca72cd27223e5c447b580de2a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object &amp;</type>
      <name>globalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>6d4867616475f8bca54549e910ae1344</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initGlobalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>307cb121f16fb51701f98c96e0b7ce86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ExecState *</type>
      <name>globalExec</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aeb5d4e2e8d30481851881a06f05a3e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>74fcc93c30dca80646d8a41c3c6f4509</anchor>
      <arglist>(const UString &amp;code, int *errLine, UString *errMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>6160ffd2f1240e22e9039be23a25c801</anchor>
      <arglist>(const UString &amp;code)</arglist>
    </member>
    <member kind="function">
      <type>Completion</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>656d720cb34b3f614feaa67d4f6545ca</anchor>
      <arglist>(const UString &amp;code, const Value &amp;thisV=Value())</arglist>
    </member>
    <member kind="function">
      <type>InterpreterImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>490be87db5717082e625c39994d8bd77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>d467d009a322544d50af535549c9a18d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunction</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>9596e12e9e9ae5bcba0094365dbd26ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArray</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>2f7e9fc6cb4e1e10f7b001cb7729d023</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBoolean</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>033ecdebcc9c3e49acb659038fc6be2f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinString</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>7920e625307cb936a3451533fc2b7c1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumber</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>daca6baf31e48f80b44db8050a6db237</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>6fd0ab80141d4983974e729298b5f3be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>e4c66d318c8493caf8ed103ca2efb442</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>c5426e7f4f5231bb95aaf677abdac5ee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObjectPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>c3b61de9e5220f2322c28c8c06bbb7a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunctionPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>4b90dee6a664e8f7cacca526b99c0613</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArrayPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a24b5c50fa1f820510b3f7f8f8c01e57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBooleanPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>f669ef2547b7db4aa7f9452247a87677</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinStringPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>91d8ba94c381e43ce59ecbf618bd2ac3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumberPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>be07b8e3809048976edae972183e4e87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDatePrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>1572761684c8789e56000e53c0b64a92</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExpPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>822c219a83cdf278b416c083097972f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>d02aee98b852a7ae0621279b1ac6b6da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a3a2ce17664f47f38cb0b9dfd8f68d0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRangeError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>687f6300e0d71d13572afa05b00e9bf3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinReferenceError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>22d4237a05e5791cecef5e239eace1a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinSyntaxError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>326653233129db53bdbbee4cf6353f98</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinTypeError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>d46a0c94e35aed8dd6f44e1cdd1b60ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinURIError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>250e652d3d9cfc189ee33c3c45abff4c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>8cc526b69a8564e917983c51967074d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRangeErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>01d28b02a1f1c92f97839a5e40320bfc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinReferenceErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>958a1a557a74cbfa6c134990a25c4d4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinSyntaxErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>8470bf095cee0506b2066d21876e28d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinTypeErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>1e64ed38ddeb2d14ae4d237b8ee5ec5b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinURIErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>2ce77ac5cffe38fb9e934642222b69e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a71b6122001e49c40c67cbaf57db7abf</anchor>
      <arglist>(CompatMode mode)</arglist>
    </member>
    <member kind="function">
      <type>CompatMode</type>
      <name>compatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>970e802afc6fa483968034408c0ee104</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>b8936a99429d275b3c1bd6f97a5527e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>50e5a3db76f1a151362ceec9a6bd3434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>lock</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>e9c9c0c37969278797755b3bb1cb02a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unlock</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>3e164f36a2f4508d74e398646cb74603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>0afcdeb284f68f0788523bbd4647805c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>1a76fc1b0f78e362c043e5cbac843893</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ExecState</name>
    <filename>classKJS_1_1ExecState.html</filename>
    <member kind="function">
      <type>Interpreter *</type>
      <name>dynamicInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>3b3a2b4b312b33a64beeb974c948201c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>interpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>88f4756ce5e4259c8fdfc7d63e8bd215</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>lexicalInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>f210e5fad440d91a939e71ccb2bf6be7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Context</type>
      <name>context</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a2835385776b40626e4cf06887c0550e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>4a8d0b1e4cebdf8265125163065cc7d9</anchor>
      <arglist>(const Value &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>fd68af3beb8b2e1b2f69252cb0bc4ee6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>exception</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a81707cb80ac83b27f0fd4b5f0e1412b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hadException</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>c880bd7683d61324f27ffc7dcc15fe0f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>requestTerminate</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>9bd47d7b1fa554cbb93e5046f8303e4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static bool(*</type>
      <name>confirmTerminate</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>dad498df303f80099546ae73520e5aac</anchor>
      <arglist>)()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>InterpreterImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>b1af41b86a64755053544c470f81b788</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FunctionImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>9f6f607079af07105c17f1ec8739f52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>GlobalFuncImp</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>1f13c3723428e8c623322db09139804f</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TryNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>08e07d197affbfa2e8349ce0ef13af8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>VarDeclNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>715797ea9d591c8dc48b45367e3becf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FuncDeclNode</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>f8754c85ad96b72558d4ab702eccddfc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::List</name>
    <filename>classKJS_1_1List.html</filename>
    <member kind="function">
      <type></type>
      <name>List</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>ad8b653b4fcb58f8f4e4491df9423a3f</anchor>
      <arglist>(bool needsMarking)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>List</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>ccf1d437c12b5a8a24f4939b8d25973a</anchor>
      <arglist>(const List &amp;b)</arglist>
    </member>
    <member kind="function">
      <type>List &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>840f2546f7f1dcf8e02a7bc1a9d0c0e7</anchor>
      <arglist>(const List &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>0754cb5a81b130c65ab13a4e9cff5c52</anchor>
      <arglist>(const Value &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>9bd13813ee5470b1aeb9a2d2deea8478</anchor>
      <arglist>(ValueImp *val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>14a5b7e2de79f98ecb2a56a529401517</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copy</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>0ceb301f5a8ef7a5b53eb0ce709c9a39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copyTail</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>d89e83022dc90d4ca73e602887a31468</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>6356629da9e2c8cff0e0cbe9f7f61bac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>69835b1e6671235343b0a17923b92c43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>28eebc11fbb2305edecf29f25a06f77e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>88437e0b6b561b1d4621fb793ad9c018</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>at</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>2d61ae7372efe5319a1d4d633bca2814</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>2330f8f3c9b02cd100c0ecc0b9a0cb6a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>impAt</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>6c79f25b2be10d7ae31046ae2a91dee6</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>9e107c8d8a4912a6524e0748be824964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const List &amp;</type>
      <name>empty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>d30b847844813d118f8208dbfb6b5ad2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ListIterator</name>
    <filename>classKJS_1_1ListIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>095c5df85e7617771c71d55953e2a964</anchor>
      <arglist>(const List &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>1744954a8eca83e07c40088a037e10db</anchor>
      <arglist>(const List &amp;l, int index)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>cdf0c2ed955202a650b99f8fbd2445f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator*</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>69dbb6adf39e5872c8bd18718686801c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>9566ad95d5060f6102db3ac14f19088a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a8be71d375b5aa72831d5d5ad441b60c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>85559c54198fc3304f3085ddd00d1584</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>0dde8b0361d334e0a14341d5664c9d13</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a1be6e351c26169840dce6f983464de0</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>d499e44763d3a2ea9b82c218fd68b460</anchor>
      <arglist>(const ListIterator &amp;it) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashEntry</name>
    <filename>structKJS_1_1HashEntry.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>soffset</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>fb93ded6bc0d48e1f58056ac4b6a029c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short int</type>
      <name>value</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>e4dd6db441f29909cd03c9466b2bc931</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>attr</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>12c2b8d0dc49b3f26695c10a5a1a4781</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>params</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>4886c63e2d87d0731ac60821bf59175b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>next</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>d95917ba5e39d20c8fc8c43810045a21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashTable</name>
    <filename>structKJS_1_1HashTable.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>e38f682939fba01691428863d9b4bfa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>size</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>81197ec5685573938c9e0ba1423cc08b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashEntry *const</type>
      <name>entries</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>7c4140e42df68f8eae1ea17a93150ecf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>hashSize</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>d8bcaed94f9a1fb84377a27a98e4f79a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *const</type>
      <name>sbase</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>22acd0e8efcefaad0c73cce8f5e6cccd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Lookup</name>
    <filename>classKJS_1_1Lookup.html</filename>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>7fa6228cc9915fe1fe4ec8690c5c7447</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>657c82eeef6b2ca289a761b7a3df3100</anchor>
      <arglist>(const struct HashTable *table, const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>97a1e8d2a5bb04cf1b1aa51b91b58c12</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>015f943570336f8dfe9420175fe4b75b</anchor>
      <arglist>(const struct HashTable *table, const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>c58bd6094ab67d70d3036f3951d6b2f7</anchor>
      <arglist>(const Identifier &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>4624600935f868f5368e9b8476f23e14</anchor>
      <arglist>(const UChar *c, unsigned int len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>5bbb3b5073e401211a607bb53bf5e5f3</anchor>
      <arglist>(const char *s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::BinaryLogicalNode</name>
    <filename>classKJS_1_1BinaryLogicalNode.html</filename>
    <member kind="function">
      <type></type>
      <name>BinaryLogicalNode</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>2eb8b5b45c396047898e62b24dea4b2f</anchor>
      <arglist>(Node *e1, Operator o, Node *e2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>6ffe552991162f6c7c6155a75da823bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>a7ad2c6c47055ad4587684d6f134f910</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>289b490623879b2ca1e53c38c536de39</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>streamTo</name>
      <anchorfile>classKJS_1_1BinaryLogicalNode.html</anchorfile>
      <anchor>dbc9daf6c278edf8ab059f3e2ebfac25</anchor>
      <arglist>(SourceStream &amp;s) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ConditionalNode</name>
    <filename>classKJS_1_1ConditionalNode.html</filename>
    <member kind="function">
      <type></type>
      <name>ConditionalNode</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>0b30dc57e961a80f581aecc57a3e1e31</anchor>
      <arglist>(Node *l, Node *e1, Node *e2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>678b4754ce58af2465f598ce466b6958</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>5650054d526631ac6d1e7dd5ba19418c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Value</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>0299d9ce93033d81fea5e73549d693cc</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>streamTo</name>
      <anchorfile>classKJS_1_1ConditionalNode.html</anchorfile>
      <anchor>00993383a0ea308cb835fe689961611e</anchor>
      <arglist>(SourceStream &amp;s) const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::ClassInfo</name>
    <filename>structKJS_1_1ClassInfo.html</filename>
    <member kind="variable">
      <type>const char *</type>
      <name>className</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>65ebb96070dab1ebdbd7fcca128fcd7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ClassInfo *</type>
      <name>parentClass</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>ac9d415e8e0349df8cd56f24c3a7b28c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashTable *</type>
      <name>propHashTable</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>9828b2b86f41ebf22161ef101bf31308</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>dummy</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>05cfb01019d68b46552d9ce7a9ee1752</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Object</name>
    <filename>classKJS_1_1Object.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Object</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>0eb5991daa7aebad07a049776f229982</anchor>
      <arglist>(ObjectImp *v)</arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>9828723f062adc8b384578f923a1230d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const ClassInfo *</type>
      <name>classInfo</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>fb91f50733a3a8bf906df4ff53b1154e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inherits</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>d6da6b458a4d7dade7a189a7b3371fbe</anchor>
      <arglist>(const ClassInfo *cinfo) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>prototype</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>2cff3f0240090b1e18bb1fe0160ae7cd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>className</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>17276492a78bac1b2a6f777d6dc819a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>394b5e197af70d97568c5e17fe61b19f</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ce24f11e58345d1ac1b2bbdcaa0d27e5</anchor>
      <arglist>(ExecState *exec, unsigned propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a67ec5ebaa19921db0fec1688378da2e</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>e7d96d906c0743323dc0722b34f15624</anchor>
      <arglist>(ExecState *exec, unsigned propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canPut</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>5e06be1d8516b039ef13e07b7dcc6649</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>8c0f1def86d09e32d8df1e27c3201922</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>67d082950b1b825df84104c931aaf06f</anchor>
      <arglist>(ExecState *exec, unsigned propertyName) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>2d640f4d38e26af206e47723db28bd90</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>60ed918b344b951e76f41b543b9bf9a0</anchor>
      <arglist>(ExecState *exec, unsigned propertyName)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>defaultValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>fdd98c67850006fd3ed8139683125096</anchor>
      <arglist>(ExecState *exec, Type hint) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsConstruct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>4895ab8a12addaadb7e7f623fca8164b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>construct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>85a7d585cbaeaef5bff34676bb748cc7</anchor>
      <arglist>(ExecState *exec, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>7c08a913629973d9eddf5b7f53ef5200</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>b07be3e90ba2ba8352a9609cc4ac703c</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ea23ed46537c553309db0175fc16c3c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>af2fd9b4bdd6f136a47c4e687703979e</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>9d73e7096217ae16b112d9a12196efb4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>66f55ab74b07566afee1e6c5616a773d</anchor>
      <arglist>(const ScopeChain &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>ReferenceList</type>
      <name>propList</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>8c7f2e3e8a4e60713cb58f8526cf875b</anchor>
      <arglist>(ExecState *exec, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>internalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>e57ce80e0db9939378bdf4ce7d68b4bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInternalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>467d7a34694e82573c77fda53fffa50e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>b12ea86cb49e21ea6c5547507f8d128e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Error</name>
    <filename>classKJS_1_1Error.html</filename>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>create</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>d90381467b6e9fbae92c0975852048f2</anchor>
      <arglist>(ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const *const</type>
      <name>errorNames</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>52b56f086d2a4346a5e6567a0989c20f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::SavedProperties</name>
    <filename>classKJS_1_1SavedProperties.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1SavedProperties.html</anchorfile>
      <anchor>4c8018a0604445818ecd990fe449a63c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::PropertyMapHashTableEntry</name>
    <filename>structKJS_1_1PropertyMapHashTableEntry.html</filename>
    <member kind="variable">
      <type>UString::Rep *</type>
      <name>key</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>0df16766b47eb010791eccfa95093db0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ValueImp *</type>
      <name>value</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>952ec2af5c4e8137175934c5f539b35f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>attributes</name>
      <anchorfile>structKJS_1_1PropertyMapHashTableEntry.html</anchorfile>
      <anchor>cf615f2c92c3efc83d5e3f0cea077d16</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::PropertyMap</name>
    <filename>classKJS_1_1PropertyMap.html</filename>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>6fe892a149f354efd3f5de901453fa94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>d8bda5baa414ce7591829b9d4a3c2a39</anchor>
      <arglist>(const Identifier &amp;name, ValueImp *value, int attributes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>ab335e485b51e8fc5863ac8dea0dc957</anchor>
      <arglist>(const Identifier &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>get</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>ea7fc96d2519945459f0d84f1ec185f5</anchor>
      <arglist>(const Identifier &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>get</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>822d8336ba876ade94d2fc15e2032e28</anchor>
      <arglist>(const Identifier &amp;name, int &amp;attributes) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>aced8fe3abf6da6f2b551b0c81b5faf8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEnumerablesToReferenceList</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>2bcf1895706dae1becda905b72a6621a</anchor>
      <arglist>(ReferenceList &amp;, const Object &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSparseArrayPropertiesToReferenceList</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>f664146f43b6ad15e1f423308d7b3d23</anchor>
      <arglist>(ReferenceList &amp;, const Object &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>b85f1a54f2a662fdfb48aa44fca356e9</anchor>
      <arglist>(SavedProperties &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classKJS_1_1PropertyMap.html</anchorfile>
      <anchor>1e00f45b196daff94c9a9dae93c84a76</anchor>
      <arglist>(const SavedProperties &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Reference</name>
    <filename>classKJS_1_1Reference.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>ee006d1292dd50f5fea26b8706abd535</anchor>
      <arglist>(const Object &amp;b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>6d4eb7d2b18ac666d793a8998e6f6870</anchor>
      <arglist>(const Object &amp;b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>9b519ecbe18ac1d077429d4d002f104e</anchor>
      <arglist>(ObjectImp *b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>c13bcb93964aaa68b800c1a8a19cd97a</anchor>
      <arglist>(ObjectImp *b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>7ce127625817c3cf0d38491156a1e313</anchor>
      <arglist>(const Null &amp;b, const Identifier &amp;p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Reference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>375d4962e68169a488f0af3390748531</anchor>
      <arglist>(const Null &amp;b, unsigned p)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getBase</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>f070cb7ed41d232ffd418e47a29b07c2</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>getPropertyName</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>f93ee43d7fedeb3437a3b2f23f7ad3a9</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>0b221dd9c9eb8681f49adf852402dfb0</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>putValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>9a7b40644137d1a2a98a3f682c951735</anchor>
      <arglist>(ExecState *exec, const Value &amp;w)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>3fb1c24d8e2fcecfe84fac4a1822833b</anchor>
      <arglist>(ExecState *exec)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMutable</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>c9bd04487ae65aa63774083efbde93ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Reference</type>
      <name>makeValueReference</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>2174a245307f63d8dcc9f02ca4e2d90d</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>b3692d5e8a1a14ded9d5e66ef489ac15</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceListIterator</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>0e81d1cf0d2dfafe0bdbd6211fb8ce26</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceListIterator</name>
    <filename>classKJS_1_1ReferenceListIterator.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>131081ba3db86b0fd896ad44bea725cc</anchor>
      <arglist>(const ReferenceListIterator &amp;it) const </arglist>
    </member>
    <member kind="function">
      <type>const Reference *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>fbdce7e729ebef9d0785ebe7c383dfe4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const Reference &amp;</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>f05f477374af84ae8d4a48b30e953c93</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1ReferenceListIterator.html</anchorfile>
      <anchor>b3692d5e8a1a14ded9d5e66ef489ac15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceList</name>
    <filename>classKJS_1_1ReferenceList.html</filename>
    <member kind="function">
      <type></type>
      <name>ReferenceList</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>e1595260367cdeb1b2ffe1fb301c663b</anchor>
      <arglist>(const ReferenceList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>ReferenceList &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>61f54186e4f85b6f8a398c8858dab742</anchor>
      <arglist>(const ReferenceList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>2cb137a7442f191803185f7e9407398e</anchor>
      <arglist>(const Reference &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>length</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>cb7af3165f4d8dec46e5882cfc77f2f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReferenceListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>474e5ed94969e6c8b5ee33acef48be8d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ReferenceListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1ReferenceList.html</anchorfile>
      <anchor>85b65373d80381a2d7947158f1e0b304</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChainNode</name>
    <filename>classKJS_1_1ScopeChainNode.html</filename>
    <member kind="function">
      <type></type>
      <name>ScopeChainNode</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>8474a3a61ce8db8cf9021caf459007d3</anchor>
      <arglist>(ScopeChainNode *n, ObjectImp *o)</arglist>
    </member>
    <member kind="variable">
      <type>ScopeChainNode *</type>
      <name>next</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>9c26d45e9a39ccb832ea0dbc5efd85c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ObjectImp *</type>
      <name>object</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>efa7f5114d0f1180b7b58cc673d13017</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>refCount</name>
      <anchorfile>classKJS_1_1ScopeChainNode.html</anchorfile>
      <anchor>5a627ad5398c4ffbbb7a14992c633892</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChain</name>
    <filename>classKJS_1_1ScopeChain.html</filename>
    <member kind="function">
      <type></type>
      <name>ScopeChain</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>09bc55da9aa80999af6c15a038b3b206</anchor>
      <arglist>(const ScopeChain &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>ScopeChain &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>ecea6f0ff9d206b2b50a065ecf3d5f60</anchor>
      <arglist>(const ScopeChain &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>70caf6855d76b749ceb04fa4c0573226</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>top</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>52e54bf49df61c4ba1c5340e49a5e3ef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ObjectImp *</type>
      <name>bottom</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>15b8d94043f6776cf510fdc63bd4561a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>a0a159af48fab52341622ea001245f29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>0214278cfebb207ba22a44fd36a95de8</anchor>
      <arglist>(ObjectImp *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>0abd39bf302183cf4efef89adb5a447f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ScopeChain.html</anchorfile>
      <anchor>9f2053223e12b1f1f8793f2661fa5061</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::UChar</name>
    <filename>structKJS_1_1UChar.html</filename>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>8aaf0cd63570e2d271a863297e0dad31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>e221565fd68361c7df0855895555c34f</anchor>
      <arglist>(char u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>8d159598b0b6f1479b71f1b4f3fb3cf4</anchor>
      <arglist>(unsigned char u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>f0bd84e189571915c31637231fdf87e1</anchor>
      <arglist>(unsigned char h, unsigned char l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>36b7b16705c2bd371b0f5fe1a18d610d</anchor>
      <arglist>(unsigned short u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>baadd0f8a6f6ca6c9cacada4670580c2</anchor>
      <arglist>(const UCharReference &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>6229b224db180240fd39cb9807903117</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>e7e34f025de28cd88887d8d9d9c4e36f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>27abfa37a66ab6e4dfc2bf59d66bacef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>2bff21a3a261b92e69f0155a074a7ae2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>c9b1d14631d6d7c2dc4cb82eb7d4389c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>uc</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>556b71349776daeafab7ad01f3b6b553</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UChar</type>
      <name>null</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>4954d69677d944c7699373849f419ba7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UCharReference</name>
    <filename>classKJS_1_1UCharReference.html</filename>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>56eecba3f451dce35c90d54d4aae2e3e</anchor>
      <arglist>(UChar c)</arglist>
    </member>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>42e66202a226820c03bfb09ddd813641</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>b013660c6626c19476ce115233b2060c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>f8ece116eb78cdfb84039afb0152f7f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>9448f6fbef2c159d0dc06bbfeb543213</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>659e074bc4f0b31cf929b716b98d2c37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>69b5850d4e8cd22b6c0976fee3997b4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>1630fd479d941a994f7eef9e4e4fa18a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::CString</name>
    <filename>classKJS_1_1CString.html</filename>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>ccdba20374c2c04b5fe43f559f097390</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>399d0f709d534efd5dd266655744b964</anchor>
      <arglist>(const char *c, int len)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CString</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>cc8f051a040188c60c245c75b680cb4e</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>5b1f75806476972af00031d1d75ae1df</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>6372788afb53342eec4d75536c9b1ebd</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>d79373324d30260c3e2904f22ec41492</anchor>
      <arglist>(const CString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>5214df1503a37d0b711413b80ad55fc2</anchor>
      <arglist>(const CString &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>0c6abfcc6f057a529a6faed69b7dded4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>c_str</name>
      <anchorfile>classKJS_1_1CString.html</anchorfile>
      <anchor>5bf4b71d50c728d3faaf052ac8d83bf8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UString</name>
    <filename>classKJS_1_1UString.html</filename>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>6bff2ea822acdda7aa6203a31e2de5e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>3f119ee9f4b878721ca3c75fb15fbdd5</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>2a7c6a727fa9eb36aabc639644e3c026</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>02853f089c16880f35e4da47bd431ad6</anchor>
      <arglist>(const UChar *c, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>2a3e7b1572efdee9bde6e10ec9c9b9e8</anchor>
      <arglist>(UChar *c, int length, bool copy)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>bd8f3a875d630b792ca9dcb8b0828134</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>74116ff55490f470bec5a3c61186e8d1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>979972a884e0e907965219aa7905da3e</anchor>
      <arglist>(const DOM::DOMString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ba0f033ac9b764df0130087af1a3a6ff</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>307f135cb824def333ba70c2846e13b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>f20edaa32eba4f5c3a148098e843742d</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString</type>
      <name>cstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>8698c19cee7a6ac284cedcc213a16149</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>2ac3d2b62d65d075f2d99bf7ed2ec366</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>6fd8743fa74aaee5a9f174fc673e2f86</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>f439909b523957d291fcd2f86dc2f9fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QConstString</type>
      <name>qconststring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>4dff9a042307cb2a69ff1271d12d5bc0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>6c59536babf6a3f14f6cd762b6e3cce1</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>5b53b7e2a89ab36259b44379d4075fdf</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>99ab366119bf72868ae4bf9ed098cc41</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>7dd595aa3385b55938014b32a0e88d0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>13c9d3fb7c7f081736b28ee2d76471d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>44f8654cc09f4226980b6b85383abb03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is8Bit</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>510d0787fffb496abd11bdfebc17b8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>43b493879fd9d2d8e13039d1610cb3b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>87e53841d25d6707c6058bb0f53547f2</anchor>
      <arglist>(int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UCharReference</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>3ab183a5bc8eff73f8f374536b54e44c</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>3f6f047b366a516ad6e9043b4d0d7db9</anchor>
      <arglist>(bool tolerateTrailingJunk, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>3b17d80435fd69c8dff0960df523ad4d</anchor>
      <arglist>(bool tolerateTrailingJunk) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>f67174def438554e6badfad253dccae0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>be9ab18ec02094d99ff8de9f8f30ce62</anchor>
      <arglist>(bool *ok, bool tolerateEmptyString) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>7964a16f2e942a29ca1e6f7080c9141f</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>5c1cfbd72308f5b71d5bcc31474e056d</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toStrictUInt32</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>502a3e59a398bb210794a7d81122cdc7</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>2810a2dbfcdb92db9e10f415f21c6008</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>24df9fa57edddca8d0491d5317ce1a3c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e788ab7e6b98528da8a5f0999af03b5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>8a7e8222f9166800c8250cb02b0d717a</anchor>
      <arglist>(const UString &amp;f, int pos=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>7cefad97d127bb0f0f866ae8c4adbe38</anchor>
      <arglist>(UChar, int pos=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>b527e50972f678180a4fe6664a3ef264</anchor>
      <arglist>(const UString &amp;f, int pos) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>06e844fa42dddd613d2b300cd8b5419b</anchor>
      <arglist>(UChar, int pos) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>substr</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>9803bb317f9ad51ce189c2f688cf1941</anchor>
      <arglist>(int pos=0, int len=-1) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>fa4fb189e0a0a6094b54516833eb0257</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>37a7ad711ecba8d5877543a3fbd569fe</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>35acd4fb09b924dffe70254d500e8fcc</anchor>
      <arglist>(long l)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>cd2c0f8da1e7b0b9958e5742150347a6</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UString</type>
      <name>null</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>b593c40f5576c145960dc5e9bbdb80ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UCharReference</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>bd8cd4807275b7bad329a361e4f525b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>3e40f665cdcdb705285b2271e4828229</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMap</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>4c8018a0604445818ecd990fe449a63c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PropertyMapHashTableEntry</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>67263a55268c0edc07805cefa82ad713</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>e8ba09d689497e0a2a506a9bb693ebf2</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ValueImp</name>
    <filename>classKJS_1_1ValueImp.html</filename>
    <member kind="function">
      <type>ValueImp *</type>
      <name>ref</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>77df2da76f3d54eaae849c9d1bd53cd8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deref</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>c1ac5d28280e47b82d2f288e2b9f32c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>6276d22633faf70dec82cb11ff6624e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marked</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>10241de43764f15a711f4c200e7fb43b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>operator new</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>345cb754949c6f33d27c0cad6795d5d7</anchor>
      <arglist>(size_t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator delete</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>ab23b9d97e629e8c75d6b27209018512</anchor>
      <arglist>(void *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGcAllowed</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>682050b9840613653d0f867779916eff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGcAllowedFast</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>e8ba7f83756503f4fb5cdda7e72724c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>baac8ef3421556c50268d5848b7a3deb</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>97d751ab818144b6639c7988a89a06f6</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>27aaa0da21dc32ad6681ed9efcad3ff7</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>473b752e6c230aa3649b7ccfbad48a29</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>dispatchType</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>ea3cbd4f13eb47454285436062602f96</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>dispatchToPrimitive</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>9ac900904fd545977b832b8ed50a46b3</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dispatchToBoolean</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>d00170f83205d76a323fd15c84dcde4e</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>dispatchToNumber</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>f3c83be1526d0177d5fdfb55d3a80050</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>dispatchToString</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>88f1c5f3ca9395e3f387cc3fbc13e6ba</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dispatchToUInt32</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>d6f13be70342426a5ca90287d7edab0b</anchor>
      <arglist>(unsigned &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>dispatchToObject</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>df5d0258658d4efe4371c3d79b280dae</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDestroyed</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>eb6129aa3c236c55f99c4356997c1241</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>unsigned short int</type>
      <name>refcount</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>61530932c246d3a1584b89ee01b5a862</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Collector</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>85a0fc5a617106954db31a0e1233517f</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Value</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>eceedf6e1a7d48a588516ce2b1983d6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ContextImp</name>
      <anchorfile>classKJS_1_1ValueImp.html</anchorfile>
      <anchor>817d2921ddb1f7cafaf0b13b2b4c1de7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Value</name>
    <filename>classKJS_1_1Value.html</filename>
    <member kind="function">
      <type></type>
      <name>Value</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>2722fabcf196767c9ca28a2d8b3b00db</anchor>
      <arglist>(ValueImp *v)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Value</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1df1a7ba0152633e2dfbe7018f5d347</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>Value &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>74041a01eb678ed13dbaca624a2482e3</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>cd8509ab6b7622c16fdf021803fdd2cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>1a8b47540a1c5dc0025f111a2c2031b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>imp</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>4104c41e4ea37bf747e4a47501a63963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>e452f07da93d3888448158e634d71657</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isA</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>1704785fc8140c274b0e7ec03eb0dfe2</anchor>
      <arglist>(Type t) const </arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>toPrimitive</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>6a2cd9a2183172e1166cf1799961383b</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBoolean</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>bdcb3fc1afee9326af85eec35592f0b8</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toNumber</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>bc006ad65a05568bbebe2c63604766b8</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>c08ef408068ef1a9018559079ad3022e</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a116929fe115defe059fc6e0ddf0d362</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>6aee2e9f36bd37afdfb2f0678f8cf69e</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>c7528ce04145335fe32f02d421de36e4</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toString</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>8611b80d868cebf8dd4af2f966810874</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>toObject</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>072d956ce72fd1387bacb27dc466239d</anchor>
      <arglist>(ExecState *exec) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>f2520c393d340da100f59fba8b67d288</anchor>
      <arglist>(unsigned &amp;i) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ValueImp *</type>
      <name>rep</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ef1b807e2df87564494452ea2ae28fdf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Undefined</name>
    <filename>classKJS_1_1Undefined.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Undefined</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>2f8a1c7556b12c35c66945af335e663d</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>UndefinedImp</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>6f46693aa5c109006f1a35ba08b598ef</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Null</name>
    <filename>classKJS_1_1Null.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Null</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>c55086549993e5b9ec82888d1fbad4a2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>NullImp</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>bbf24e7b26899112091ff0a58624a293</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Boolean</name>
    <filename>classKJS_1_1Boolean.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Boolean</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>7cfa61cba074f216dfdddab738356b91</anchor>
      <arglist>(bool b=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>2949dd65fc4f23e0f77d5f1f5ee18f9f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Boolean</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>96f5bc36ab27fd2c6616bafc74dc953c</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>BooleanImp</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>633b88498e247b984f953f0cad434587</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::String</name>
    <filename>classKJS_1_1String.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>String</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>eb414ad33f8f43cca5a6a8fd17c6d265</anchor>
      <arglist>(const UString &amp;s=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>value</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>8983987372b3a48e331561a2f3e76d21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static String</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>9934613ec4bb9e634b21d1cb5642ed1f</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>StringImp</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>910b9d3962992e17f5d1ea7d3bff1fed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Number</name>
    <filename>classKJS_1_1Number.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>2f5849e21b523f9e978c76750cb6ce82</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>45905904b472a7710e9acaa41ad5aab4</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>f82013370d6f84ba683dec2a7466bb1e</anchor>
      <arglist>(double d=0.0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a3e8ec3e65a522dc8eb7f94eca6375ff</anchor>
      <arglist>(long int l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Number</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>35ff1b98c4c95e907080d0a0a69d60e5</anchor>
      <arglist>(long unsigned int l)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>value</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>bc86e0c47f72f9a7fd02676f114b0344</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>intValue</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>c5ac4e250e0f21182df5f9c228ee9560</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNaN</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>6983fa0c9b05b605b7d1ed4deafb22b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInf</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a7acc233ebe6155d71b6e81977db5e5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Number</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>574a744ace39612446d1f8fc59c48bc2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ValueImp</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>c37aa43e4f31b622cd3f48502ad25080</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>NumberImp</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>2601b6dfb0ee7ea7d27b2bfb888060e0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
