<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>d3870ada6010bbdece842a70ea2c423f</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b8e876f36b6f233c3e15800b035f1f96</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>1e74b7448a5b20fcf3e906abaa3c3769</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>705280414355ab185cea6caa3001d7c6</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b90028cb5b28b7c0b372e89bac4fee5c</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b0b0682562a850c7f5ca1e3c1bd21fc7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>f9abc69d0cf71b7a99f3ac703988e9c9</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>4b3a399c9daf29eda7ff2b37c0ec77e0</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>d727efb97db404ae8c4f98350e93cdb7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>454d4e6b7894ac989d4348f09b885a9b</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>e5f061973f1dd062821d1dffe5f812b4</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>3103c593ecf0d55c148f09fac5b357cc</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>c8def8f974b383e7ec6f6aac2dee7fbf</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>3593ab66bdb60cbb34dae33ffe962b36</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Client</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
    <member kind="variable" static="yes">
      <type>static Word</type>
      <name>endWord</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>0fb0fc44da864f5843c99a0f4f6c68aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Filter &gt;</type>
      <name>sd</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>c9a103c3e1a785a74c23f67699065c99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Filter *</type>
      <name>defFilter</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>6ede0a2c6ec3add9accac493c6f61e63</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>468ab6a1e6f6bb76bda17e4f9be262bc</anchor>
      <arglist>(KSpell2::Filter *filter)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>b75dfd3b01003b591340b66810f84da6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>1507f948e96631a419647dda307d4ab6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>fa4464855f83f288a6b8f43246a34a65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>273cf1ffc03c4e2b0fdc636ac81164ab</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4e7bf05cd91982ea47af2c886f37417c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundChecker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>b332a225be84f425ee45d106f326bb42</anchor>
      <arglist>(const Broker::Ptr &amp;broker, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>90dfc0879686e37bc4d9d5c1a706aa4d</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>09dd07cbb63edfc79f129853ba2496e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4dd3a56ff54f404b3dc70fb6984d444b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>d8286092a53e0f2714b9393cc93a9f4b</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>b2dac66b5b222f2267c09eb6447242fd</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0f9208090decec317cbe08cbf8aaf9c2</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>81a304117f9424c7198057c41b1b8307</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEngineDone</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>ab69819e4661ecd82fc12cccc208a8c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>1d52e280b8992bcc1752868367a6f2f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>35c6d826b79ee96994e3752f9a66fd8d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; Broker &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>619e9ea1139847d4531d9206607ab0bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>5f33f79659ed4b1c2144396239d33b83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>c17c415520a566250827219de5e3bec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>3ff999f84b591cc66eae5a467dfe163f</anchor>
      <arglist>(const QString &amp;language=QString::null, const QString &amp;client=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>85945fb5673671d6976cdfbe62b2ba08</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>af6597846f8c02fdeabec9ddd9056f97</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>7015479936e1e5768648034b99f37171</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>7e2ecb1f8b58ef7711dbb03866cf019e</anchor>
      <arglist>(KSharedConfig *config=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>898af3f80d29b5ac194a2bd44cad9afd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>720761556766a2d77ad9125743710d4c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Client</name>
    <filename>classKSpell2_1_1Client.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Client</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>452e7d8c1186f8c2feb7252040a8205c</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>37bd36e2cfdd4ccacefa654fb755ad7f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>db0371970263afd54f433230ea31a0e1</anchor>
      <arglist>(const QString &amp;language)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>08d053299387ec2d57afa516431df322</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>032524b25cf7bc0071eaa9d5eae94b9f</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>249a7c2e68695f8184b58b3434068184</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>0159c6ef79338dab82fcf613ba89f840</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>4d49b4ade381db41edffb85dcc6fa42b</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>00ec9e3b3900046cfc74f59a1188a9db</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>cc259c20f219863105998b0173d83e5b</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>4d0d03852408faf5897a160edc1721fd</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>af26837e9d7fc59f6b5c73d896f16ed6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>2b4181c3eb238ae172a80d48aa36e4b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>1dc1c1ac9a476c04afcfbd423928aafd</anchor>
      <arglist>(const QString &amp;lang, bool def=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>d7163b8b4c4977dbb020fb0a7567d662</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_default</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>32a59df77decab5f13c713fa619b51b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>1f539fc72a1dacd841b904a7bf77c753</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>183fb7b61a7e15044189672f802ad33d</anchor>
      <arglist>(const QString &amp;w, int st, bool e=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>bf6dfd12037448eaac3d6c0b4a6255d6</anchor>
      <arglist>(const Word &amp;other)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>3b167a6efaa7794d74bce32e0acd963f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>start</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>80b2fce7802d788d8bf071451d9c5aba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>end</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>30a1fa71c7172f36887fb2b2bb9c8379</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>71c8308c111b71cd17e7409b9e6c480b</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>cbe110cc6719a25084b844361296ef93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>1b1d8a39004527c5df09124315803dd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>44ffa3d01245ef25cf32a1d3aeacf4e7</anchor>
      <arglist>(const QString &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>59d638a8ffdfb81ff88a2dded87da23d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restart</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>f86b90496a1d20b71478e049f83715fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>nextWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>df6a1c6084f858659bf61012bebf98a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>previousWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>5fbf6390f61cd39c037ebc7461876e56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>wordAtPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>9aa8df0c14edee6e4227e0ea9480a54c</anchor>
      <arglist>(unsigned int pos) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>680ee3cba9765876b24602f2d1e023da</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>2260d9743b558ef5b015d1067d057efd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>d2190d2d1264e6f4f74c84480f180105</anchor>
      <arglist>(const Word &amp;w, const QString &amp;newWord)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>eeb40f1a650bffa2621dc241fa6f0f6a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter *</type>
      <name>defaultFilter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>3850dd4294e79c8e8a90bd65be900f27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Word</type>
      <name>end</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>9302e5d6745fefd0d6c10af33b86c7da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>trySkipLinks</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>0296d549b5502423d37770ea7a766cb5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>50b908597ce1a8aa870e1c8df7ed31d2</anchor>
      <arglist>(const QString &amp;word) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QChar</type>
      <name>skipToLetter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>e0013aa195fcd5a474913af053f436e4</anchor>
      <arglist>(uint &amp;fromPosition) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>shouldBeSkipped</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>5c7c4f4a6778e43c0762942c69ad4ef8</anchor>
      <arglist>(bool wordWasUppercase, bool wordWasRunTogether, const QString &amp;foundWord) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>64a9a02124537957e57972534ace3a63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>defd138ecabde4d442828292910367bd</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
